Package org.jboss.resteasy.client.jaxrs.engines

## Class ApacheHttpClient43Engine

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.engines.ManualClosingApacheHttpClient43Engine
  - - org.jboss.resteasy.client.jaxrs.engines.ApacheHttpClient43Engine

- All Implemented Interfaces:
    `ClientHttpEngine`, `ApacheHttpClientEngine`

      public class ApacheHttpClient43Engine
      extends ManualClosingApacheHttpClient43Engine

  An Apache HTTP engine for use with the new Builder Config style.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.resteasy.client.jaxrs.engines.ApacheHttpClientEngine

      `ApacheHttpClientEngine.MemoryUnit`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.engines.ManualClosingApacheHttpClient43Engine

      `allowClosingHttpClient, chunked, closed, defaultProxy, fileUploadInMemoryThresholdLimit, fileUploadMemoryUnit, fileUploadTempFileDir, followRedirects, hostnameVerifier, httpClient, httpContextProvider, responseBufferSize, sslContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApacheHttpClient43Engine()` |
    `ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient)` |
    `ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient, boolean closeHttpClient)` |
    `ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient, HttpContextProvider httpContextProvider)` |
    `ApacheHttpClient43Engine​(org.apache.http.HttpHost defaultProxy)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `finalize()` |

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.engines.ManualClosingApacheHttpClient43Engine

      `buildEntity, cleanUpAfterExecute, close, commitHeaders, createBufferedStream, createDefaultHttpClient, createHttpMethod, extractHeaders, getDefaultProxy, getFileUploadInMemoryThresholdLimit, getFileUploadMemoryUnit, getFileUploadTempFileDir, getHostnameVerifier, getHttpClient, getResponseBufferSize, getSslContext, getTempfilePrefix, invoke, isChunked, isClosed, isFollowRedirects, loadHttpMethod, setChunked, setFileUploadInMemoryThresholdLimit, setFileUploadMemoryUnit, setFileUploadTempFileDir, setFollowRedirects, setHostnameVerifier, setRedirectNotRequired, setRedirectRequired, setResponseBufferSize, setSslContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApacheHttpClient43Engine

          public ApacheHttpClient43Engine()

    - #### ApacheHttpClient43Engine

          public ApacheHttpClient43Engine​(org.apache.http.HttpHost defaultProxy)

    - #### ApacheHttpClient43Engine

          public ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient)

    - #### ApacheHttpClient43Engine

          public ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient,
                                          boolean closeHttpClient)

    - #### ApacheHttpClient43Engine

          public ApacheHttpClient43Engine​(org.apache.http.client.HttpClient httpClient,
                                          HttpContextProvider httpContextProvider)

  - ### Method Detail

    - #### finalize

          public void finalize()
                        throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`